@mixin button($background, $text) {
  $color1: darken($background, 5%);
  $color2: darken($background, 10%);
  $color3: darken($background, 15%);
  $color4: darken($background, 20%);
  $color5: darken($background, 25%);
  color: $text;
  background-color: $background;
  border: $color1;
  box-shadow: 0 1px 0 $color1,
              0 2px 0 $color2,
              0 3px 0 $color3,
              0 4px 0 $color4,
              0 5px 0 $color5,
              0 6px 1px rgba(0, 0, 0, 0.1),
              0 0 5px rgba(0, 0, 0, 0.1),
              0 1px 3px rgba(0, 0, 0, 0.3),
              0 3px 5px rgba(0, 0, 0, 0.2),
              0 5px 10px rgba(0, 0, 0, 0.25),
              0 10px 10px rgba(0, 0, 0, 0.2),
              0 20px 20px rgba(0, 0, 0, 0.15);
}

.btn--default,
button,
select {
  @include button(darkslategrey, whitesmoke);
  padding: $spacer-tiny $spacer-small;
  font-weight: 200;
  border-radius: 2px;
  font-size: $font-size-base;
  line-height: 1em;

  &:not(:last-child) {
    margin-right: $spacer-small;
  }
}

.btn {
  &--start {
    @include button($color-ok, whitesmoke)
  }

  &--cancel {
    @include button($color-warning, rgba(black, 0.8))
  }

  &--large {
    font-size: 1.5em;
    padding: $spacer-default $spacer-large;
    font-weight: 500;
  }

  &--block {
    width: 100%;
  }

  &--icon-like {
    width: 30px;
  }

  &--win {
    font-size: 1em;
    padding: 0.3em 1em;
    margin-left: $spacer-large;
  }
}

button[disabled="disabled"] {
  cursor: not-allowed;
  opacity: 0.5;
}
